From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-php/pecl-mongodb/
Date: Fri, 8 Sep 2023 19:29:31 +0000 (UTC) [thread overview]
Message-ID: <1694201352.558cfb1a6b7be79a676a51c05615c8524e8da419.sam@gentoo> (raw)
commit: 558cfb1a6b7be79a676a51c05615c8524e8da419
Author: EJ Agas <agas.ej09 <AT> gmail <DOT> com>
AuthorDate: Thu Mar 10 14:22:11 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Sep 8 19:29:12 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=558cfb1a
dev-php/pecl-mongodb: Bump to 1.16.2
Closes: https://bugs.gentoo.org/913158
Closes: https://github.com/gentoo/gentoo/pull/24478
Closes: https://github.com/gentoo/gentoo/pull/32683
Co-authored-by: EJ Agas <agas.ej09 <AT> gmail.com>
Signed-off-by: EJ Agas <agas.ej09 <AT> gmail.com>
Signed-off-by: Jaco Kroon <jaco <AT> uls.co.za>
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-php/pecl-mongodb/Manifest | 1 +
dev-php/pecl-mongodb/pecl-mongodb-1.16.2.ebuild | 54 +++++++++++++++++++++++++
2 files changed, 55 insertions(+)
diff --git a/dev-php/pecl-mongodb/Manifest b/dev-php/pecl-mongodb/Manifest
index f22a64084823..ab8a198d7174 100644
--- a/dev-php/pecl-mongodb/Manifest
+++ b/dev-php/pecl-mongodb/Manifest
@@ -1 +1,2 @@
DIST mongodb-1.10.0.tgz 1331177 BLAKE2B 8593392d50fce99059888e25d6400d2e7a35e93a1e4b74abf9b427ff43dbd2484380ecdbd7b7ce6abec643351a9c3bba572e2e0b551a88b18efbcf4c2b133767 SHA512 72527087dc3d1e1d48d6236592c1fbafa68354e2b8e070e85180d79ffcaa82740641450808a235bb711ded16ff65ec0cbd53fb66f0da18837351a3d402c3976f
+DIST mongodb-1.16.2.tgz 1907341 BLAKE2B 273ca2a5d92a195938cea103d12e9279c4a6aae43107f9b04d6e74752f82af5c258a3eff259ffc6a8381275be214bcc6cd577050ba1a908e202dda54ed31dae9 SHA512 3c81882c609b09cde534315aa4b1fe3c47e18e4ed26a940bf60a6bdbf4e53b2204d8e4e113a9b0a3469b60793ead9f8dff703920b86280e78448e07d6535a277
diff --git a/dev-php/pecl-mongodb/pecl-mongodb-1.16.2.ebuild b/dev-php/pecl-mongodb/pecl-mongodb-1.16.2.ebuild
new file mode 100644
index 000000000000..3cc51273f8d1
--- /dev/null
+++ b/dev-php/pecl-mongodb/pecl-mongodb-1.16.2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PHP_EXT_NAME="mongodb"
+USE_PHP="php8-0 php8-1 php8-2"
+
+inherit php-ext-pecl-r3
+
+DESCRIPTION="MongoDB database driver for PHP"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="sasl test"
+
+PHP_DEPEND="
+ php_targets_php8-0? ( dev-lang/php:8.0[ssl,zlib] )
+ php_targets_php8-1? ( dev-lang/php:8.1[ssl,zlib] )
+ php_targets_php8-2? ( dev-lang/php:8.2[ssl,zlib] )"
+COMMON_DEPEND="${PHP_DEPEND}
+ >=dev-libs/libbson-1.18.0
+ >=dev-libs/mongo-c-driver-1.18.0[sasl?,ssl]
+ dev-libs/openssl:=
+ sasl? ( dev-libs/cyrus-sasl )"
+DEPEND="${COMMON_DEPEND}
+ test? ( dev-db/mongodb )"
+RDEPEND="${COMMON_DEPEND}"
+BDEPEND="${PHP_DEPEND}
+ virtual/pkgconfig"
+
+# No tests on x86 because tests require dev-db/mongodb which don't support
+# x86 anymore (bug #645994)
+RESTRICT="x86? ( test )
+ !test? ( test )"
+
+src_configure() {
+ local PHP_EXT_ECONF_ARGS=(
+ --enable-mongodb
+ --with-libbson
+ --with-libmongoc
+ --with-mongodb-sasl=$(usex sasl)
+ )
+ php-ext-source-r3_src_configure
+}
+
+src_test() {
+ local PORT=27017
+ mongod --port ${PORT} --bind_ip 127.0.0.1 --nounixsocket --fork \
+ --dbpath="${T}" --logpath="${T}/mongod.log" || die
+ php-ext-pecl-r3_src_test
+ kill $(<"${T}/mongod.lock")
+}
next reply other threads:[~2023-09-08 19:29 UTC|newest]
Thread overview: 39+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-09-08 19:29 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-12-28 2:00 [gentoo-commits] repo/gentoo:master commit in: dev-php/pecl-mongodb/ Conrad Kostecki
2023-12-28 2:00 Conrad Kostecki
2022-03-18 18:06 Brian Evans
2021-11-28 23:36 Jakov Smolić
2021-11-08 10:11 Agostino Sarubbo
2021-07-24 16:15 Thomas Deutschmann
2021-05-03 9:06 Mikle Kolyada
2021-04-25 15:30 Thomas Deutschmann
2021-04-05 20:32 Thomas Deutschmann
2021-01-21 16:39 Brian Evans
2020-10-16 14:38 Thomas Deutschmann
2020-08-06 14:34 Thomas Deutschmann
2020-07-18 22:38 Sam James
2020-07-08 12:49 Thomas Deutschmann
2020-05-29 7:42 Agostino Sarubbo
2020-04-11 21:15 Thomas Deutschmann
2019-12-05 20:25 Brian Evans
2019-11-29 12:13 Thomas Deutschmann
2019-11-15 21:57 Alexys Jacob
2019-07-30 22:32 Thomas Deutschmann
2019-03-29 14:23 Michael Orlitzky
2019-03-29 14:23 Michael Orlitzky
2018-12-23 14:29 Mikle Kolyada
2018-12-22 22:25 Thomas Deutschmann
2018-12-16 23:30 Thomas Deutschmann
2018-12-16 23:30 Thomas Deutschmann
2018-08-27 23:42 Michael Orlitzky
2018-06-22 21:52 Thomas Deutschmann
2018-03-31 21:46 Aaron Bauman
2018-03-06 16:31 Brian Evans
2017-12-07 17:34 Patrice Clement
2017-10-21 7:28 Patrice Clement
2017-05-19 13:29 Brian Evans
2017-02-12 1:27 Brian Evans
2017-01-06 5:00 Michael Orlitzky
2017-01-06 5:00 Michael Orlitzky
2016-07-25 14:10 Brian Evans
2016-06-30 17:00 Brian Evans
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1694201352.558cfb1a6b7be79a676a51c05615c8524e8da419.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox